DIR_READ(3)

FUNCTION
dir_read - Read (scan) a directory for files.

SYNOPSIS
#include <karma_dir.h>

KFileInfo * dir_read

(KDir dir, unsigned int skip_control)

DESCRIPTION
Read (scan) a directory for files.

dir The directory object.

skip_control
    Determines whether or not to skip the special files: "." and "..". See <-dir_SKIP_VALUES-> for a list of legal values.

RETURN VALUE
A pointer to a <<KFileInfo>> structure on success, else NULL. The data in this structure is valid until the next call to <-dir_read-> or <-dir_close-> with this directory object.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/